// LaserDesk.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//

#include "stdafx.h"
#include "LaserDesk.h"
#include "LaserDeskDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLaserDeskApp

BEGIN_MESSAGE_MAP(CLaserDeskApp, CWinApp)
	//{{AFX_MSG_MAP(CLaserDeskApp)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLaserDeskApp Konstruktion

CLaserDeskApp::CLaserDeskApp()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CLaserDeskApp-Objekt

CLaserDeskApp theApp;

/////////////////////////////////////////////////////////////////////////////
// RAS Funktionen

RasEnumConnectionsPtr dllRasEnumConnections;
RasHangUpPtr          dllRasHangUp;
RasDialDlgPtr         dllRasDialDlg;

/////////////////////////////////////////////////////////////////////////////
// CLaserDeskApp Initialisierung

BOOL CLaserDeskApp::InitInstance()
{
    HMODULE RASDLL;

    SetRegistryKey(_T("JKFreeSoft"));

    AfxSocketInit();

    RASDLL = LoadLibrary("RASAPI32.DLL");
    if (RASDLL != NULL)
    {
        dllRasHangUp = (RasHangUpPtr)GetProcAddress(RASDLL, "RasHangUpA");
        dllRasEnumConnections = (RasEnumConnectionsPtr)GetProcAddress(RASDLL, "RasEnumConnectionsA");
    }
    else
    {
        dllRasHangUp = NULL;
    }

    RASDLL = LoadLibrary("RASDLG.DLL");
    if (RASDLL != NULL)
    {
        dllRasDialDlg = (RasDialDlgPtr)GetProcAddress(RASDLL, "RasDialDlgA");
    }
    else
    {
        dllRasDialDlg = NULL;
    }

    // Standardinitialisierung
	// Wenn Sie diese Funktionen nicht nutzen und die Gre Ihrer fertigen 
	//  ausfhrbaren Datei reduzieren wollen, sollten Sie die nachfolgenden
	//  spezifischen Initialisierungsroutinen, die Sie nicht bentigen, entfernen.

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	CLaserDeskDlg dlg;
	m_pMainWnd = &dlg;
	dlg.DoModal();

	// Da das Dialogfeld geschlossen wurde, FALSE zurckliefern, so dass wir die
	//  Anwendung verlassen, anstatt das Nachrichtensystem der Anwendung zu starten.
	return FALSE;
}
