// LaserDeskDlg.h : Header-Datei
//

#if !defined(AFX_LASERDESKDLG_H__5E01ED18_1C71_4172_9646_EF7511FE8DC5__INCLUDED_)
#define AFX_LASERDESKDLG_H__5E01ED18_1C71_4172_9646_EF7511FE8DC5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CLaserDeskDlg Dialogfeld

class CLaserDeskDlg : public CDialog
{
// Konstruktion
public:
	boolean GetRASConnHandle();
	HRASCONN m_hRASConn;
	CLaserDeskDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CLaserDeskDlg)
	enum { IDD = IDD_LASERDESK_DIALOG };
		// HINWEIS: der Klassenassistent fgt an dieser Stelle Datenelemente (Members) ein
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CLaserDeskDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	void OnTestDone(boolean success);
	void OnConfigDone(boolean success);
	CWinThread* m_pLaserConfigThread;
	CWinThread* m_pLaserTestThread;
	boolean OpenCOMPort(boolean errMsg);
	void ErrorExit(char* msg);
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CLaserDeskDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnTest();
	afx_msg void OnChangeCOMPort();
	afx_msg void OnChangeBaudrate();
	afx_msg void OnChangeSensitivity();
	afx_msg void OnChangeRASLinkName();
	afx_msg void OnSaveCfg();
	afx_msg void OnConfigLaser();
	afx_msg void OnRunInvisible();
	afx_msg void OnChangeRunProg();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	boolean m_CfgModified;
	UINT    m_Baudrate;
	UINT    m_COMPortNo;
    UINT    m_Sensitivity;
    CString m_RASLinkName;
    CString m_RunProgram;
    boolean m_RunInvisible;
    HANDLE  m_hCOMPort;
    boolean m_AutoMode;

    friend UINT ConfigureLaser(LPVOID pLaserDeskDlg);
    friend UINT TestLaser(LPVOID pLaserDeskDlg);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_LASERDESKDLG_H__5E01ED18_1C71_4172_9646_EF7511FE8DC5__INCLUDED_)
